How do I download a specific older firmware?

I bought a used Hub and would like to use it as a 2nd hub on my network. My current hub is on 2.3.4.139 and has been working well on it. I want to put the same firmware on my new used hub. It's on 2.2.7.128 . Is it possible to update this new 2nd hub to be on the same firmware? (they are both c-7's)

You can try <hubIP>/hub/advanced/downloadPlatform/234, wait a few minutes, then use the Diagnostic Tool to actually install it (it will be an option there if this works).

That being said, 2.3.4 and 2.3.5 are nearly the same, just with some changes that only affect the C-8, and I'd normally recommend the latest version. You can always downgrade if something unusual happens that you suspect was related.

4 Likes